<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Nexpose|About Nexpose">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Nexpose integrates with Metasploit Pro to provide a complete vulnerability assessment and verification tool that helps you eliminate false positives, verify vulnerabilities, and validate remediation measures. " /><title>Nexpose Integration with Metasploit</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#10-nexpose/nexpose-integration.html">Open topic with navigation</a>
        </p>
        <h2>Nexpose Integration with Metasploit</h2>
        <p><a name="kanchor85"></a>Nexpose integrates with <span class="VariablesProductName">Metasploit Pro</span> to provide a complete vulnerability assessment and verification tool that helps you eliminate false positives, verify vulnerabilities, and validate remediation measures. 
</p>
        <p>There are couple of ways that you can bring Nexpose data into <span class="VariablesProductName">Metasploit Pro</span>. You can run a Nexpose scan directly from the Metasploit user interface or you can import Nexpose scan data into <span class="VariablesProductName">Metasploit Pro</span>. </p>
        <p>
When you import data from Nexpose into <span class="VariablesProductName">Metasploit Pro</span>, <span class="VariablesProductName">Metasploit Pro</span> automatically indexes the vulnerability data from Nexpose and uses the service and vulnerability reference ID to map each vulnerability to a matching exploit. The mapped exploits helps you to easily launch attacks against the vulnerability and to quickly determine if the vulnerability is a real risk or a false positive.</p>
        <p> 
In addition to vulnerability scanning, <span class="VariablesProductName">Metasploit Pro</span> provides a vulnerability exception management interface and the ability to create a Nexpose asset group. </p>
    </body>
</html>